<?php
/**
 * HappyFenceNG Total Enterprise Security Plugin
 * HAPPYWPRESS is a RazorVue Trademark.
 *
 * @package     HappyFenceNG
 * @developer   Simonluca Scillitani
 * @copyright   2025 RazorVue di Scillitani Simonluca
 * @link        https://razorvue.it
 * @author      RazorVue di Scillitani Simonluca
 * @brand       HappyWPress
 * @uri         https://happywpress.com
 * @set all
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
/**PHPCS -> code compliance: we put useful comments where needed.. */
enum HappyFenceNGSyslogSeverity: string {
	case EMERGENCY = 'EMERGENCY';
	case ALERT     = 'ALERT';
	case CRITICAL  = 'CRITICAL';
	case ERROR     = 'ERROR';
	case WARNING   = 'WARNING';
	case NOTICE    = 'NOTICE';
	case INFO      = 'INFO';
	case DEBUG     = 'DEBUG';
	case AUDIT     = 'AUDIT';
}
